## wesnoth-1.18 1.18.6

=== src/modules/mariadbpp/CMakeLists.txt ===
#          Copyright The ViaDuck Project 2016 - 2024.
# Distributed under the Boost Software License, Version 1.0.
#    (See accompanying file LICENSE or copy at
#          http://www.boost.org/LICENSE_1_0.txt)

cmake_minimum_required(VERSION 3.8...3.16)
project(mariadbclientpp LANGUAGES CXX)

include(GNUInstallDirs)
option(MARIADBPP_TEST "Build mariadbpp tests" OFF)
option(MARIADBPP_DOC "Build mariadbpp docs" OFF)
option(MARIADBPP_QUIET "Turn off error logging" OFF)

# add additional cmake modules
list(INSERT CMAKE_MODULE_PATH 0 "${CMAKE_CURRENT_SOURCE_DIR}/external/cmake-modules")

# dependencies
find_package(MariaDBClient REQUIRED)
find_package(Threads REQUIRED)

# check capabilities
include(CheckSymbolExists)
set(CMAKE_REQUIRED_LIBRARIES MariaDBClient::MariaDBClient)
check_symbol_exists(mysql_optionsv mysql.h MARIADBPP_HAS_OPTIONS_V)

# find files
file(GLOB_RECURSE MARIADBPP_PUBLIC_HEADERS include/mariadb++/*)
file(GLOB_RECURSE MARIADBPP_FILES src/*.hpp src/*.cpp)

# set up target
add_library(mariadbclientpp ${MARIADBPP_FILES} ${MARIADBPP_PUBLIC_HEADERS})
# include headers
target_include_directories(mariadbclientpp PUBLIC
    "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>"
    "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>")
# link dependencies
target_link_libraries(mariadbclientpp MariaDBClient::MariaDBClient Threads::Threads)
# compile options
target_compile_features(mariadbclientpp PUBLIC cxx_std_11)
target_compile_definitions(mariadbclientpp PUBLIC
    MARIADB_QUIET=$<BOOL:${MARIADBPP_QUIET}>
    MARIADB_HAS_OPTIONS_V=$<BOOL:${MARIADBPP_HAS_OPTIONS_V}>
)

if (MSVC)
    target_compile_options(mariadbclientpp PRIVATE /W4)
else()
    target_compile_options(mariadbclientpp PRIVATE -Wall -Wextra)
endif()

# install configuration
install(FILES ${MARIADBPP_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/mariadb++)
install(TARGETS mariadbclientpp
    EXPORT mariadbclientpp_export
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

configure_file("cmake/mariadbclientpp-config.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/mariadbclientpp-config.cmake" @ONLY)

install(EXPORT mariadbclientpp_export
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/mariadbclientpp"
    NAMESPACE "mariadbclientpp::"
    # In this CMake config file no dependencies are considered. But since we
    # do not use any `find_package` call here this approach is sufficient.
    FILE mariadbclientpp-targets.cmake
)

install(FILES 
    "${CMAKE_CURRENT_BINARY_DIR}/mariadbclientpp-config.cmake"
    "${PROJECT_SOURCE_DIR}/external/cmake-modules/FindMariaDBClient.cmake"
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/mariadbclientpp"
)

SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "MariaDB++")
SET(CPACK_PACKAGE_VENDOR "ViaDuck")
SET(CPACK_PACKAGE_VERSION "1.0.0")
SET(CPACK_GENERATOR "RPM;DEB")
SET(CPACK_DEBIAN_PACKAGE_MAINTAINER "Nobody")
INCLUDE(CPack)

# tests
if (MARIADBPP_TEST)
    add_subdirectory(test)
endif()

if (MARIADBPP_DOC)
    # doxygen
    include(Doxygen)
    if (DOXYGEN_FOUND)
        setup_doxygen(mariadbpp_doc ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in)
    endif()
endif()

=== src/modules/mariadbpp/test/CMakeLists.txt ===
#          Copyright The ViaDuck Project 2016 - 2024.
# Distributed under the Boost Software License, Version 1.0.
#    (See accompanying file LICENSE or copy at
#          http://www.boost.org/LICENSE_1_0.txt)

# variables for running tests
set(TEST_HOSTNAME "localhost" CACHE STRING "Hostname for mariadbpp tests")
set(TEST_PORT 3306 CACHE STRING "Port for mariadbpp tests")
set(TEST_UNIXSOCKET "" CACHE STRING "Unix socket for mariadbpp tests")
set(TEST_USERNAME "testuser" CACHE STRING "Database username for mariadbpp tests")
set(TEST_PASSWORD "bockwurst" CACHE STRING "Database username's password for mariadbpp tests")
set(TEST_DATABASE "mariadbpptest" CACHE STRING "Database name for mariadbpp test")

# write config to header in binary dir
configure_file(test_config.h.in test_config.h)

include(FindOrBuildGTest)
if (GTEST_FOUND)
    # collect test files
    file(GLOB_RECURSE MARIADBPP_TEST_FILES ${CMAKE_CURRENT_SOURCE_DIR}/*.h ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)

    macro(make_viaduck_test_target name)
        # create test target as base for the san
        add_executable(${name} ${MARIADBPP_FILES} ${MARIADBPP_TEST_FILES})
        # includes
        target_include_directories(${name} PUBLIC ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
        # links
        target_link_libraries(${name} PUBLIC mariadbclientpp ${GTEST_TARGET})
    endmacro()
    make_viaduck_test_target(mariadbpp_test)

    include(EnableSanitizers)
    enable_sanitizers_for_target(mariadbpp_test)

    include(EnableCoverage)
    enable_coverage_for_target(mariadbpp_test ${CMAKE_CURRENT_SOURCE_DIR}/../
        "test/*" "external/*" "${CMAKE_BINARY_DIR}/*" "${GTEST_SRC_DIR}/*")
endif()

=== debian/changelog ===
wesnoth-1.18 (1:1.18.6-1) unstable; urgency=medium

  [ Vincent Cheng ]
  * New upstream stable release.
  * Bump Standards-Version to 4.7.3, no changes needed.

  [ Simon McVittie ]
  * d/tests/control.in: Explicitly use offscreen video driver
    (Closes: #1123731)

 -- Vincent Cheng <vcheng@debian.org>  Thu, 25 Dec 2025 21:05:52 -0800

=== debian/control ===
Source: wesnoth-1.18
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Build-Depends:
 cmake (>= 3.14),
 debhelper (>= 13.11.6~),
 debhelper-compat (= 13),
 libboost-coroutine-dev       (>= 1.66.0),
 libboost-filesystem-dev      (>= 1.66.0),
 libboost-graph-dev           (>= 1.66.0),
 libboost-iostreams-dev       (>= 1.66.0),
 libboost-locale-dev          (>= 1.66.0),
 libboost-program-options-dev (>= 1.66.0),
 libboost-random-dev          (>= 1.66.0),
 libboost-regex-dev           (>= 1.66.0),
 libboost-system-dev          (>= 1.66.0),
 libboost-test-dev            (>= 1.66.0),
 libboost-thread-dev          (>= 1.66.0),
 libcairo2-dev (>= 1.10.0),
 libcurl4-openssl-dev,
 libdbus-1-dev,
 libfontconfig-dev (>= 2.4.1),
 liblua5.4-dev (>= 5.4.6-3),
 libpango1.0-dev (>= 1.44.0),
 libreadline-dev,
 libsdl2-dev (>= 2.0.18),
 libsdl2-image-dev (>= 2.0.2),
 libsdl2-mixer-dev (>= 2.0.0),
 libssl-dev (>= 1.0),
 libvorbis-dev,
 pkgconf,
 python3,
Standards-Version: 4.7.3
Uploaders:
 Rhonda D'Vine <rhonda@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 P. J. McDermott <pj@pehjota.net>,
Homepage: https://www.wesnoth.org/
Vcs-Git: https://salsa.debian.org/games-team/wesnoth.git
Vcs-Browser: https://salsa.debian.org/games-team/wesnoth
Rules-Requires-Root: no

Package: wesnoth-1.18-data
Architecture: all
Multi-Arch: foreign
Depends:
 fonts-adf-oldania,
 fonts-dejavu-core,
 fonts-dejavu-extra,
 fonts-droid-fallback,
 fonts-lato,
 fonts-lohit-beng-bengali,
 ${misc:Depends},
Suggests:
 wesnoth-1.18-music,
Description: data files for Wesnoth (branch 1.18)
 This package contains the sound files and graphics for Wesnoth. It is required
 for being able to play wesnoth or create maps with the editor.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

# TODO: Remove package after Debian trixie
Package: wesnoth-core
Architecture: all
Section: oldlibs
Depends:
 wesnoth-1.18 (>= ${binary:Version}),
 wesnoth-1.18-data (= ${source:Version}),
 ${misc:Depends},
Description: fantasy turn-based strategy game (transitional package)
 This is a transitional dummy metapackage.  It can safely be removed.
 To play the latest stable version of Wesnoth, install the wesnoth package.
 To play multiplayer games or user-made add-ons without installing all the
 official campaigns and music, install the wesnoth package without recommended
 packages.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.18
Architecture: any
Depends:
 wesnoth-1.18-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 wesnoth-1.18-did (= ${source:Version}),
 wesnoth-1.18-dm (= ${source:Version}),
 wesnoth-1.18-dw (= ${source:Version}),
 wesnoth-1.18-ei (= ${source:Version}),
 wesnoth-1.18-httt (= ${source:Version}),
 wesnoth-1.18-l (= ${source:Version}),
 wesnoth-1.18-low (= ${source:Version}),
 wesnoth-1.18-music (= ${source:Version}),
 wesnoth-1.18-nr (= ${source:Version}),
 wesnoth-1.18-sof (= ${source:Version}),
 wesnoth-1.18-sota (= ${source:Version}),
 wesnoth-1.18-sotbe (= ${source:Version}),
 wesnoth-1.18-thot (= ${source:Version}),
 wesnoth-1.18-trow (= ${source:Version}),
 wesnoth-1.18-tsg (= ${source:Version}),
 wesnoth-1.18-ttb (= ${source:Version}),
 wesnoth-1.18-utbs (= ${source:Version}),
 wesnoth-1.18-wof (= ${source:Version}),
Breaks:
 wesnoth-1.18-core (<< 1:1.16.11-1.~),
Replaces:
 wesnoth-1.18-core (<< 1:1.16.11-1.~),
Description: fantasy turn-based strategy game (branch 1.18)
 This package contains the main program for Wesnoth.  If you only want to
 play a few official campaigns, multiplayer games over the network with other
 players, user-made add-ons, and/or without music, install this package without
 recommended packages.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth
Architecture: all
Depends:
 wesnoth-1.18 (>= ${binary:Version}),
 wesnoth-1.18-data (= ${source:Version}),
 ${misc:Depends},
Description: fantasy turn-based strategy game (metapackage)
 This metapackage pulls in the main Wesnoth package which allows you to play
 using the latest stable version.  If you only want to play a few official
 campaigns, multiplayer games over the network with other players, user-made
 add-ons, and/or without music, install this package without recommended
 packages.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.18-music
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: music files for Wesnoth (branch 1.18)
 This package contains the music files for Wesnoth. It is not required but
 gives nice background music and encouraged.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-music
Architecture: all
Multi-Arch: foreign
Depends:
 wesnoth-1.18-data (= ${source:Version}),
 wesnoth-1.18-music (= ${source:Version}),
 ${misc:Depends},
Description: music files for Wesnoth (metapackage)
 This metapackage pulls in the music package for use with the latest stable
 version of wesnoth.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.18-server
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends},
Description: multiplayer network server for Wesnoth (branch 1.18)
 This package contains the multiplayer network server for Wesnoth.  You need it
 if you want to host multiplayer games on your computer and don't want to use
 the official servers.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.18-tools
Architecture: all
Multi-Arch: foreign
Depends:
 python3:any,
 wesnoth-1.18-data (= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 imagemagick | graphicsmagick-imagemagick-compat,
Enhances:
 wesnoth-1.18 (>> 1:1.16.11-1.~),
 wesnoth-1.18-core (<< 1:1.16.11-1.~),
Description: tools for campaign developers for Wesnoth (branch 1.18)
 This package contains various tools for Wesnoth that are especially useful for
 campaign developers, including but not limited to scripts supporting the
 generation and checking of WML (Wesnoth Markup Language).  You can find them
 in the directory /usr/share/games/wesnoth/1.18/data/tools
 after installation of the package.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.18-httt
Depends:
 wesnoth-1.18 (<< ${wesnoth:Max-Version}),
 wesnoth-1.18 (>= ${wesnoth:Min-Version}),
 ${misc:Depends},
Architecture: all
Description: "Heir to the Throne" official campaign for Wesnoth (branch 1.18)
 This package contains the "Heir to the Throne" campaign for Wesnoth:
 "Fight to regain the throne of Wesnoth, of which you are the legitimate
 heir."
 (Novice level, 23 scenarios.)
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.18-tsg
Depends:
 wesnoth-1.18 (<< ${wesnoth:Max-Version}),
 wesnoth-1.18 (>= ${wesnoth:Min-Version}),
 ${misc:Depends},
Architecture: all
Description: "The South Guard" official campaign for Wesnoth (branch 1.18)
 This package contains the "The South Guard" campaign for Wesnoth:
 "A young Knight, Deoran, is dispatched to take command of the South Guard...
 Note: This campaign is designed as an introduction to Wesnoth. The 'Civilian'
 difficulty level is aimed at first-time players."
 (Novice level, 9 scenarios.)
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.18-trow
Depends:
 wesnoth-1.18 (<< ${wesnoth:Max-Version}),
 wesnoth-1.18 (>= ${wesnoth:Min-Version}),
 ${misc:Depends},
Architecture: all
Description: "The Rise of Wesnoth" official campaign for Wesnoth (branch 1.18)
 This package contains the "The Rise of Wesnoth" campaign for Wesnoth:
 "Lead Prince Haldric through the destruction of the Green Isle and across the
 Ocean to establish the very kingdom of Wesnoth itself. The confrontation with
 Lich-Lord Jevyan awaits..."
 (Intermediate level, 24 scenarios.)
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.18-ttb
Depends:
 wesnoth-1.18 (<< ${wesnoth:Max-Version}),
 wesnoth-1.18 (>= ${wesnoth:Min-Version}),
 ${misc:Depends},
Architecture: all
Description: "A Tale of Two Brothers" official campaign for Wesnoth (branch 1.18)
 This package contains the "A Tale of Two Brothers" campaign for Wesnoth:
 "An evil mage is threatening the small village of Maghre and its inhabitants.
 The village’s mage sends to his warrior brother for help, but not all goes as
 planned. Can you help?"
 (Novice level, 4 scenarios.)
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.18-ei
Depends:
 wesnoth-1.18 (<< ${wesnoth:Max-Version}),
 wesnoth-1.18 (>= ${wesnoth:Min-Version}),
 ${misc:Depends},
Architecture: all
Description: "The Eastern Invasion" official campaign for Wesnoth (branch 1.18)
 This package contains the "The Eastern Invasion" campaign for Wesnoth:
 "There are rumors of undead attacks on the eastern border of Wesnoth. You, an
 officer in the Royal Army, have been sent to the eastern front to protect the
 villagers and find out what is happening."
 (Intermediate level, 16 scenarios.)"
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types

=== debian/tests/control ===
# Inspired by upstream CI script utils/CI/play_test_executor.sh
# This runs wesnoth with a multiplayer AI-only matchup.
Test-Command: SDL_VIDEODRIVER=offscreen /usr/games/wesnoth-1.18 -m --controller 1:ai --controller 2:ai --nogui
Depends:
 wesnoth-1.18,
 xauth,
 xvfb,
Restrictions: allow-stderr

# Fails on i386, needs further investigation
# https://ci.debian.net/packages/w/wesnoth-1.18/testing/i386/45779881/
# Test-Command: ./run_wml_tests -p /usr/games/wesnoth-1.18
# Depends:
#  wesnoth-1.18,
#  xauth,
#  xvfb
